sm: Allow explicit setting of the default --compliance=gnupg